Details

    • Type: Component Upgrade
    • Status: Resolved (View Workflow)
    • Priority: Critical
    • Resolution: Won't Fix
    • Affects Version/s: 3.5.0.Final
    • Fix Version/s: 4.0.0.Alpha1
    • Component/s: Query, Search
    • Labels:
      None

      Description

      Upgrade our Lucene usage to 4.x and Hibernate Search to 5.x.

      Note that per MODE-2023, we are changing how we use Lucene and Hibernate Search, pulling all Lucene-related components into a separate QueryIndexProvider implementation and likely a separation, optional module (amongst other QueryIndexProvider implementations, including for Solr, ElasticSearch, and other custom providers).

        Gliffy Diagrams

          Attachments

            Issue Links

              Activity

                People

                • Assignee:
                  rhauch Randall Hauch
                  Reporter:
                  rhauch Randall Hauch
                • Votes:
                  0 Vote for this issue
                  Watchers:
                  2 Start watching this issue

                  Dates

                  • Created:
                    Updated:
                    Resolved: